<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

check_status(ACCESS_ADMINISTRATOR);

load_language('plugin.lang', dirname(__FILE__) . '/');

global $template, $conf;

include_once 'include/default_config.php';
$travelmap_title = '';
$categories_title = '';

if(isset($conf['TravelMap']['google_maps_api_key']))
{
	$google_maps_api_key = $conf['TravelMap']['google_maps_api_key'];
}

if(isset($conf['TravelMap']['route_color']))
{
	$route_color = $conf['TravelMap']['route_color'];
}

if(isset($conf['TravelMap']['travelmap_title']))
{
	$travelmap_title = $conf['TravelMap']['travelmap_title'];
}

if(isset($conf['TravelMap']['categories_title']))
{
	$categories_title = $conf['TravelMap']['categories_title'];
}

if(isset($conf['TravelMap']['change_categories_section_title']))
{
	$change_categories_section_title = $conf['TravelMap']['change_categories_section_title'];
}

if(isset($conf['TravelMap']['make_homepage']))
{
	$make_homepage = $conf['TravelMap']['make_homepage'];
}

if(isset($conf['TravelMap']['load_all_images']))
{
	$load_all_images = $conf['TravelMap']['load_all_images'];
}


if (isset($_POST['submit']))
{
	if(isset($_POST['google_maps_api_key']))
	{
		$google_maps_api_key = $_POST['google_maps_api_key'];
	}
	if(isset($_POST['route_color']))
	{
		$route_color = $_POST['route_color'];
		if(!isset($conf['TravelMap']['route_color']) || $conf['TravelMap']['route_color'] != $route_color)
		{
			generate_marker($route_color);
		}
	}
	if(isset($_POST['travelmap_title']))
	{
		$travelmap_title = $_POST['travelmap_title'];
	}
	if(isset($_POST['categories_title']))
	{
		$categories_title = $_POST['categories_title'];
	}
	$change_categories_section_title = isset($_POST['change_categories_section_title']);
	$make_homepage = isset($_POST['make_homepage']);
	$load_all_images = isset($_POST['load_all_images']);
	
	$conf['TravelMap'] = array(
		'google_maps_api_key' => $google_maps_api_key,
		'route_color' => $route_color,
		'travelmap_title' => $travelmap_title,
		'categories_title' => $categories_title,
		'change_categories_section_title' => $change_categories_section_title,
		'make_homepage' => $make_homepage,
		'load_all_images' => $load_all_images
	);
	
	conf_update_param('TravelMap', $conf['TravelMap'], true);
	$template->delete_compiled_templates();
	$page['infos'][] = l10n('Your configuration settings are saved');
}

$template->set_filenames(
	array(
		'plugin_admin_content' => dirname(__FILE__) . '/template/admin.tpl'
	)
);

$template->assign(
	array(
		'google_maps_api_key' => $google_maps_api_key,
		'route_color' => $route_color,
		'travelmap_title' => $travelmap_title,
		'categories_title' => $categories_title,
		'change_categories_section_title' => $change_categories_section_title,
		'make_homepage' => $make_homepage,
		'load_all_images' => $load_all_images
	)
);

$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>